#include <iostream>
#include <cstdlib>

using namespace std;

long long brCifara(long long broj, long long deset)
{
    for(int i = 0;i<=18 && broj / deset != 0; i++)
    {
        deset = deset*10;
    }
    return deset;
}

int brojCifara(long long broj)
{
    int i=0;
    long long deset=1;
    for(;broj/deset!=0;i++) deset*=10;
    return i;
}

bool uporedi(long long br1, long long br2)
{
    long long desetBR1 = 1;
    desetBR1 = brCifara(br1, desetBR1) / 10;

    long long desetBR2 = 1;
    desetBR2 = brCifara(br2, desetBR2) / 10;


    long long desetZaBroj1 = desetBR1;
    long long desetZaBroj2 = desetBR2;

    int cifreBroja1 = brojCifara(br1);
    int cifreBroja2 = brojCifara(br2);
    int x = min(cifreBroja1,cifreBroja2);
    int i = 0;
    for(; i < x; i++)
    {
        if(br1 / desetBR1 < br2 / desetBR2)
        {
            return true;
        }
        else if(br1 / desetBR1 > br2 / desetBR2)
        {
            return false;
        }
        desetBR1 /= 10;
        desetBR2 /= 10;
    }
    if(i == x)
    {
        if(cifreBroja1 > cifreBroja2)
        {
            if(cifreBroja1 / desetBR1 < cifreBroja2 / desetZaBroj2)
                return true;
            else return false;
        }
        else if(cifreBroja2 > cifreBroja1)
        {
            if(cifreBroja2 / desetBR2 > cifreBroja1 / desetZaBroj1)
                return true;
            else return false;
        }
    }
    return false;

}

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    cerr.tie(0);

    long long A,B,C;
    cin>>A>>B>>C;

    if(uporedi(A,B))
    {
        long long br = A;
        A = B;
        B = br;
    }
    if(uporedi(B,C))
    {
        long long br = C;
        C = B;
        B = br;
    }
    if(uporedi(A,B))
    {
        long long br = A;
        A = B;
        B = br;
    }

    cout<<A<<B<<C;

}